Package org.h2.mode

# Class PgCatalogTable

java.lang.Object
org.h2.engine.DbObject
org.h2.schema.SchemaObject
org.h2.table.Table
org.h2.table.MetaTable
org.h2.mode.PgCatalogTable

All Implemented Interfaces:
  `HasSQL`

public final class PgCatalogTable extends MetaTable
This class is responsible to build the pg_catalog tables.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`META_TABLE_TYPE_COUNT`
The number of meta table types.

### Fields inherited from class org.h2.table.MetaTable

`indexColumn, metaIndex, ROW_COUNT_APPROXIMATION, type`

### Fields inherited from class org.h2.table.Table

`columns, compareMode, EXCLUSIVE_LOCK, READ_LOCK, TYPE_CACHED, TYPE_MEMORY, WRITE_LOCK`

### Fields inherited from class org.h2.engine.DbObject

`AGGREGATE, comment, COMMENT, CONSTANT, CONSTRAINT, database, DOMAIN, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, SYNONYM, TABLE_OR_VIEW, trace, TRIGGER, USER`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Constructor Summary

Constructors
Constructor
Description
`PgCatalogTable(Schema schema, int id, int type)`
Create a new metadata table.

## Method Summary

Modifier and Type
Method
Description
`ArrayList<Row>`
`generateRows(SessionLocal session, SearchRow first, SearchRow last)`
Generate the data for the given metadata table using the given first and last row filters.
`long`
`getMaxDataModificationId()`
Get the last data modification id.

### Methods inherited from class org.h2.table.MetaTable

`add, addIndex, addRow, canDrop, canGetRowCount, canReference, checkIndex, checkRename, checkSupportAlter, close, column, getAllConstraints, getAllTables, getCreateSQL, getIndexes, getRowCount, getRowCountApproximation, getScanIndex, getTableType, identifier, isDeterministic, isInsertable, removeChildrenAndResources, removeRow, setColumns, setMetaTableName, truncate`

### Methods inherited from class org.h2.table.Table

`addConstraint, addDependencies, addDependentMaterializedView, addDependentView, addSequence, addSynonym, addTrigger, canTruncate, checkDeadlock, checkWritingAllowed, compareValues, convertInsertRow, convertUpdateRow, createRow, doesColumnExist, dropMultipleColumnsConstraintsAndIndexes, findColumn, findPrimaryKey, fire, fireAfterRow, fireBeforeRow, fireRow, getBestPlanItem, getCheckForeignKeyConstraints, getChildren, getColumn, getColumn, getColumn, getColumns, getCompareMode, getConstraints, getDependentMaterializedViews, getDependentViews, getDiskSpaceUsed, getIdentityColumn, getIndex, getIndexForColumn, getMainIndexColumn, getNullRow, getOnCommitDrop, getOnCommitTruncate, getPrimaryKey, getRow, getRowFactory, getRowIdColumn, getScanIndex, getSQLTableType, getTemplateRow, getTemplateSimpleRow, getTriggers, getType, getVisibleColumns, hasSelectTrigger, isGlobalTemporary, isLockedExclusively, isLockedExclusivelyBy, isPersistData, isPersistIndexes, isQueryComparable, isRowLockable, isView, lock, lockRow, removeColumnExpressionsDependencies, removeConstraint, removeDependentMaterializedView, removeDependentView, removeIndex, removeIndexOrTransferOwnership, removeSequence, removeSynonym, removeTrigger, rename, renameColumn, setCheckForeignKeyConstraints, setOnCommitDrop, setOnCommitTruncate, unlock, updateRow, updateRows`

### Methods inherited from class org.h2.schema.SchemaObject

`getSchema, getSQL, getSQL`

### Methods inherited from class org.h2.engine.DbObject

`equals, getComment, getCreateSQLForCopy, getCreateSQLForMeta, getDatabase, getDropSQL, getId, getModificationId, getName, hashCode, invalidate, isTemporary, isValid, setComment, setModified, setObjectName, setTemporary, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getTraceSQL`

## Field Details

### META_TABLE_TYPE_COUNT

public static final int META_TABLE_TYPE_COUNT
The number of meta table types. Supported meta table types are `0..META_TABLE_TYPE_COUNT - 1`.

See Also:
  - Constant Field Values

## Constructor Details

### PgCatalogTable

public PgCatalogTable(Schema schema, int id, int type)
Create a new metadata table.

Parameters:
  `schema` - the schema
  `id` - the object id
  `type` - the meta table type

## Method Details

### generateRows

public ArrayList<Row> generateRows(SessionLocal session, SearchRow first, SearchRow last)
Description copied from class: `MetaTable`
Generate the data for the given metadata table using the given first and last row filters.

Specified by:
  `generateRows` in class `MetaTable`
Parameters:
  `session` - the session
  `first` - the first row to return
  `last` - the last row to return
Returns:
  the generated rows

### getMaxDataModificationId

public long getMaxDataModificationId()
Description copied from class: `Table`
Get the last data modification id.

Specified by:
  `getMaxDataModificationId` in class `Table`
Returns:
  the modification id